function marcaPostFavorito(ID){

	var data = {
			action: 'favorite',
			user_id: ajax_object.user_id,
			post_id: ID,			
		};

		jQuery.post(ajax_object.ajax_url, data, function(response) {
		//	alert(response);
			if(response.includes("added")){
			     mensaje= ajax_object.added_to_favourites;
				 bgcolor = ajax_object.success_color;
				 //jQuery("#icon_favourite_"+ID).css("color","#F2C80F");
				 jQuery("#icon_favourite_"+ID).css("color","red");
					
			}
			else if(response.includes("removed")){
				 mensaje= ajax_object.removed_from_favourites;
				 bgcolor = ajax_object.success_color;
				 jQuery("#icon_favourite_"+ID).css("color","grey");		
			}
			else{
				 mensaje= ajax_object.action_not_done;
				 bgcolor = ajax_object.error_color;
				}				
		});	
}

function enviaPorEmail(ID){
	 jQuery("#floatingBar"+ID).css("visibility","visible");
	var data = {
			action: 'send_email',
			user_id: ajax_object.user_id,
			post_id: ID,
			to: jQuery("#email_"+ID).val()
		};
		
		jQuery.post(ajax_object.ajax_url, data, function(response) {
			//alert(response);
			if(response=="OK"){
			     mensaje= ajax_object.post_succesfully_sent+" "+data.to;
				 bgcolor = ajax_object.success_color;
				// alert("Alerta enviada correctamente");
				 jQuery("#mail_ok_"+ID).css("visibility","visible");
				 jQuery("#mail_nok_"+ID).css("visibility","hidden");
				//setTimeout(ocultar_enviar_a(ID), 12000)
				 }
			else {
				 mensaje= ajax_object.mail_not_sent + response;
				 bgcolor = ajax_object.error_color;
				// alert("error");
				 jQuery("#mail_nok_"+ID).css("visibility","visible");
				 jQuery("#mail_ok_"+ID).css("visibility","hidden");
				//setTimeout(ocultar_enviar_a(ID), 12000)
				 }
			jQuery("#enviar_mail").blur();
			 jQuery("#floatingBar"+ID).css("visibility","hidden");
			//ocultar_enviar_a(ID);
		});
}

function recomendarPost(ID){
	var data = {
			action: 'recommend',
			user_id: ajax_object.user_id,
			post_id: ID,
			user_to: jQuery("#user_"+ID).val(),
		};
		
		jQuery.post(ajax_object.ajax_url, data, function(response) {
			if(response=="Error"){
				 mensaje= ajax_object.recommendation_not_sent;
				 bgcolor = ajax_object.error_color;
				 }
			else {
				 mensaje= ajax_object.recommendation_sent + " " + response + ".";			
				 bgcolor = ajax_object.success_color;
				 }			
		
			jQuery('#user option:first-child').attr("selected", "selected");
			ocultar_recomendar_a(ID);
		
		});
}

function mostrar_recomendar_a(ID){
	jQuery("#entry_footer_float_hidden_"+ID).css("visibility","visible");
	jQuery("#recommend_to_panel_"+ID).css("visibility","visible");
}

function mostrar_aviso_xml(ID){
	
	jQuery("#go_to_original_"+ID).css("visibility","visible");

}
function ocultar_aviso_xml(ID){
	
	jQuery("#go_to_original_"+ID).css("visibility","hidden");

}
function ocultar_recomendar_a(ID){
	jQuery("#entry_footer_float_hidden_"+ID).css("visibility","hidden");
	jQuery("#recommend_to_panel_"+ID).css("visibility","hidden");
}function ocultar_enviar_a(ID){
	jQuery("#entry_footer_float_hidden_"+ID).css("visibility","hidden");
	jQuery("#send_to_panel_"+ID).css("visibility","hidden");
	 jQuery("#mail_nok_"+ID).css("visibility","hidden");
	 jQuery("#mail_ok_"+ID).css("visibility","hidden");
}
function mostrar_enviar_a(ID){
	
	jQuery("#entry_footer_float_hidden_"+ID).css("visibility","visible");
	jQuery("#send_to_panel_"+ID).css("visibility","visible");
	 jQuery("#mail_nok_"+ID).css("visibility","hidden");
	 jQuery("#mail_ok_"+ID).css("visibility","hidden");

}

function mostrar_footer(ID){
	

	jQuery("#entry_footer_"+ID).css("visibility","visible");
}

function ocultar_footer(ID){
	

	jQuery("#entry_footer_"+ID).css("visibility","hidden");
}

function showLastSevenDays(){
	jQuery("#est_semana").css("visibility","visible");
	jQuery("#est_mes").css("visibility","hidden");
	jQuery("#est_trimestre").css("visibility","hidden");
	
}

function showLastThirtyDays(){
	jQuery("#est_semana").css("visibility","hidden");
	jQuery("#est_mes").css("visibility","visible");
	jQuery("#est_trimestre").css("visibility","hidden");
	
}


function showLastNinetyDays(){
	jQuery("#est_semana").css("visibility","hidden");
	jQuery("#est_mes").css("visibility","hidden");
	jQuery("#est_trimestre").css("visibility","visible");
	
}
function showLastSevenDaysRisks(){
	jQuery("#grafico_riesgo_semana").css("visibility","visible");
	jQuery("#grafico_riesgo_mes").css("visibility","hidden");
	jQuery("#grafico_riesgo_trimestre").css("visibility","hidden");
	
	jQuery("#grafico_riesgo_usuario_semana").css("visibility","visible");
	jQuery("#grafico_riesgo_usuario_mes").css("visibility","hidden");
	jQuery("#grafico_riesgo_usuario_trimestre").css("visibility","hidden");
	
}

function showLastThirtyDaysRisks(){
	jQuery("#grafico_riesgo_semana").css("visibility","hidden");
	jQuery("#grafico_riesgo_mes").css("visibility","visible");
	jQuery("#grafico_riesgo_trimestre").css("visibility","hidden");
	
	jQuery("#grafico_riesgo_usuario_semana").css("visibility","hidden");
	jQuery("#grafico_riesgo_usuario_mes").css("visibility","visible");
	jQuery("#grafico_riesgo_usuario_trimestre").css("visibility","hidden");
	
	
}


function showLastNinetyDaysRisks(){
	jQuery("#grafico_riesgo_semana").css("visibility","hidden");
	jQuery("#grafico_riesgo_mes").css("visibility","hidden");
	jQuery("#grafico_riesgo_trimestre").css("visibility","visible");
	
	jQuery("#grafico_riesgo_usuario_semana").css("visibility","hidden");
	jQuery("#grafico_riesgo_usuario_mes").css("visibility","hidden");
	jQuery("#grafico_riesgo_usuario_trimestre").css("visibility","visible");
	
}
function showLastSevenDaysFA(){
	jQuery("#est_semana").css("visibility","visible");
	jQuery("#est_mes").css("visibility","hidden");
	jQuery("#est_trimestre").css("visibility","hidden");
	
	jQuery("#grafico_riesgo_producto_semana").css("visibility","visible");
	jQuery("#grafico_riesgo_producto_mes").css("visibility","hidden");
	jQuery("#grafico_riesgo_producto_trimestre").css("visibility","hidden");
	
	jQuery("#grafico_riesgo_producto_usuario_semana").css("visibility","visible");
	jQuery("#grafico_riesgo_producto_usuario_mes").css("visibility","hidden");
	jQuery("#grafico_riesgo_producto_usuario_trimestre").css("visibility","hidden");
	
	
}

function showLastThirtyDaysFA(){
	jQuery("#est_semana").css("visibility","hidden");
	jQuery("#est_mes").css("visibility","visible");
	jQuery("#est_trimestre").css("visibility","hidden");
	
	jQuery("#grafico_riesgo_producto_semana").css("visibility","hidden");
	jQuery("#grafico_riesgo_producto_mes").css("visibility","visible");
	jQuery("#grafico_riesgo_producto_trimestre").css("visibility","hidden");
	
	jQuery("#grafico_riesgo_producto_usuario_semana").css("visibility","hidden");
	jQuery("#grafico_riesgo_producto_usuario_mes").css("visibility","visible");
	jQuery("#grafico_riesgo_producto_usuario_trimestre").css("visibility","hidden");
	
}


function showLastNinetyDaysFA(){
	jQuery("#est_semana").css("visibility","hidden");
	jQuery("#est_mes").css("visibility","hidden");
	jQuery("#est_trimestre").css("visibility","visible");
	
	jQuery("#grafico_riesgo_producto_semana").css("visibility","hidden");
	jQuery("#grafico_riesgo_producto_mes").css("visibility","hidden");
	jQuery("#grafico_riesgo_producto_trimestre").css("visibility","visible");
	
	jQuery("#grafico_riesgo_producto_usuario_semana").css("visibility","hidden");
	jQuery("#grafico_riesgo_producto_usuario_mes").css("visibility","hidden");
	jQuery("#grafico_riesgo_producto_usuario_trimestre").css("visibility","visible");
	
}

function showLastSevenDaysDetail(){
	jQuery("#est_semana_detalle").css("visibility","visible");
	jQuery("#est_mes_detalle").css("visibility","hidden");
	jQuery("#est_trimestre_detalle").css("visibility","hidden");
	
	jQuery("#est_semana_seg_detalle").css("visibility","visible");
	jQuery("#est_mes_seg_detalle").css("visibility","hidden");
	jQuery("#est_trimestre_seg_detalle").css("visibility","hidden");
	
	jQuery("#grafico_semana").css("visibility","visible");
	jQuery("#grafico_mes").css("visibility","hidden");
	jQuery("#grafico_trimestre").css("visibility","hidden");
	
	jQuery("#grafico_conc_seg_semana").css("visibility","visible");
	jQuery("#grafico_conc_seg_mes").css("visibility","hidden");
	jQuery("#grafico_conc_seg_trimestre").css("visibility","hidden");
}
function showLastThirtyDaysDetail(){
	jQuery("#est_semana_detalle").css("visibility","hidden");
	jQuery("#est_mes_detalle").css("visibility","visible");
	jQuery("#est_trimestre_detalle").css("visibility","hidden");
	
	jQuery("#est_semana_seg_detalle").css("visibility","hidden");
	jQuery("#est_mes_seg_detalle").css("visibility","visible");
	jQuery("#est_trimestre_seg_detalle").css("visibility","hidden");
	
	jQuery("#grafico_semana").css("visibility","hidden");
	jQuery("#grafico_mes").css("visibility","visible");
	jQuery("#grafico_trimestre").css("visibility","hidden");
	
	jQuery("#grafico_conc_seg_semana").css("visibility","hidden");
	jQuery("#grafico_conc_seg_mes").css("visibility","visible");
	jQuery("#grafico_conc_seg_trimestre").css("visibility","hidden");
}
function showLastNinetyDaysDetail(){
	jQuery("#est_semana_detalle").css("visibility","hidden");
	jQuery("#est_mes_detalle").css("visibility","hidden");
	jQuery("#est_trimestre_detalle").css("visibility","visible");
	
	jQuery("#est_semana_seg_detalle").css("visibility","hidden");
	jQuery("#est_mes_seg_detalle").css("visibility","hidden");
	jQuery("#est_trimestre_seg_detalle").css("visibility","visible");
	
	
	jQuery("#grafico_semana").css("visibility","hidden");
	jQuery("#grafico_mes").css("visibility","hidden");
	jQuery("#grafico_trimestre").css("visibility","visible");
	
	jQuery("#grafico_conc_seg_semana").css("visibility","hidden");
	jQuery("#grafico_conc_seg_mes").css("visibility","hidden");
	jQuery("#grafico_conc_seg_trimestre").css("visibility","visible");
	
}

function showLastSevenDaysSources(){

	jQuery("#grafico_fuente_semana").css("visibility","visible");
	jQuery("#grafico_fuente_mes").css("visibility","hidden");
	jQuery("#grafico_fuente_trimestre").css("visibility","hidden");
	jQuery("#grafico_fuente_categoria_semana").css("visibility","visible");
	jQuery("#grafico_fuente_categoria_mes").css("visibility","hidden");
	jQuery("#grafico_fuente_categoria_trimestre").css("visibility","hidden");
}
function showLastThirtyDaysSources(){

	jQuery("#grafico_fuente_semana").css("visibility","hidden");
	jQuery("#grafico_fuente_mes").css("visibility","visible");
	jQuery("#grafico_fuente_trimestre").css("visibility","hidden");
	jQuery("#grafico_fuente_categoria_semana").css("visibility","hidden");
	jQuery("#grafico_fuente_categoria_mes").css("visibility","visible");
	jQuery("#grafico_fuente_categoria_trimestre").css("visibility","hidden");
}
function showLastNinetyDaysSources(){

	jQuery("#grafico_fuente_semana").css("visibility","hidden");
	jQuery("#grafico_fuente_mes").css("visibility","hidden");
	jQuery("#grafico_fuente_trimestre").css("visibility","visible");
	jQuery("#grafico_fuente_categoria_semana").css("visibility","hidden");
	jQuery("#grafico_fuente_categoria_mes").css("visibility","hidden");
	jQuery("#grafico_fuente_categoria_trimestre").css("visibility","visible");
	
}
function showLastSevenDaysSourcesAlert(){
	
	jQuery("#grafico_fuente_alerta_semana").css("visibility","visible");
	jQuery("#grafico_fuente_alerta_mes").css("visibility","hidden");
	jQuery("#grafico_fuente_alerta_trimestre").css("visibility","hidden");
}
function showLastThirtyDaysSourcesAlert(){

	jQuery("#grafico_fuente_alerta_semana").css("visibility","hidden");
	jQuery("#grafico_fuente_alerta_mes").css("visibility","visible");
	jQuery("#grafico_fuente_alerta_trimestre").css("visibility","hidden");
}
function showLastNinetyDaysSourcesAlert(){

	jQuery("#grafico_fuente_alerta_semana").css("visibility","hidden");
	jQuery("#grafico_fuente_alerta_mes").css("visibility","hidden");
	jQuery("#grafico_fuente_alerta_trimestre").css("visibility","visible");
	
}

function showLastSevenDaysCountryFA(){
	
	jQuery("#grafico_pais_semana").css("visibility","visible");
	jQuery("#grafico_pais_mes").css("visibility","hidden");
	jQuery("#grafico_pais_trimestre").css("visibility","hidden");
}
function showLastThirtyDaysCountryFA(){

	jQuery("#grafico_pais_semana").css("visibility","hidden");
	jQuery("#grafico_pais_mes").css("visibility","visible");
	jQuery("#grafico_pais_trimestre").css("visibility","hidden");
}
function showLastNinetyDaysCountryFA(){

	jQuery("#grafico_pais_semana").css("visibility","hidden");
	jQuery("#grafico_pais_mes").css("visibility","hidden");
	jQuery("#grafico_pais_trimestre").css("visibility","visible");
	
}

function borrarPost(ID){
	var element = document.getElementById("post_"+ID);
	jQuery("#masonry-container").masonry();
	jQuery("#masonry-container").masonry( 'remove', element );
	jQuery("#masonry-container").masonry('layout');
}
function marcaPostBorrado(ID){

	var data = {
			action: 'delete',
			user_id: ajax_object.user_id,
			post_id: ID,			
		};

		jQuery.post(ajax_object.ajax_url, data, function(response) {

			if(response.includes("recovered")){
			     mensaje= ajax_object.added_to_favourites;
				 bgcolor = ajax_object.success_color;
				 jQuery("#icon_delete_"+ID).css("color","green");
				 borrarPost(ID);
			}
			else if(response.includes("deleted")){
				 mensaje= ajax_object.removed_from_favourites;
				 bgcolor = ajax_object.success_color;
				 jQuery("#icon_delete_"+ID).css("color","grey");	
				 borrarPost(ID);
			}
			else{
				 mensaje= ajax_object.action_not_done;
				 bgcolor = ajax_object.error_color;
				}				
		});	
}

////////////**************************************************************///////////////////



function showLastSevenDaysProducts(){

	jQuery("#grafico_producto_semana").css("visibility","visible");
	jQuery("#grafico_producto_mes").css("visibility","hidden");
	jQuery("#grafico_producto_trimestre").css("visibility","hidden");
}
function showLastThirtyDaysProducts(){
;
	jQuery("#grafico_producto_semana").css("visibility","hidden");
	jQuery("#grafico_producto_mes").css("visibility","visible");
	jQuery("#grafico_producto_trimestre").css("visibility","hidden");
}
function showLastNinetyDaysProducts(){

	jQuery("#grafico_producto_semana").css("visibility","hidden");
	jQuery("#grafico_producto_mes").css("visibility","hidden");
	jQuery("#grafico_producto_trimestre").css("visibility","visible");
	
}
function showLastSevenDaysUserProducts(){

	jQuery("#grafico_producto_usuario_semana").css("visibility","visible");
	jQuery("#grafico_producto_usuario_mes").css("visibility","hidden");
	jQuery("#grafico_producto_usuario_trimestre").css("visibility","hidden");
}
function showLastThirtyDaysUserProducts(){
;
	jQuery("#grafico_producto_usuario_semana").css("visibility","hidden");
	jQuery("#grafico_producto_usuario_mes").css("visibility","visible");
	jQuery("#grafico_producto_usuario_trimestre").css("visibility","hidden");
}
function showLastNinetyDaysUserProducts(){

	jQuery("#grafico_producto_usuario_semana").css("visibility","hidden");
	jQuery("#grafico_producto_usuario_mes").css("visibility","hidden");
	jQuery("#grafico_producto_usuario_trimestre").css("visibility","visible");
	
}
function borrarAlerta(ID){
	alert ('borrarAlerta');
	var element = document.getElementById("post_"+ID);
	jQuery(".masonry-container").masonry();
	jQuery(".masonry-container").masonry( 'remove', element );
	jQuery(".masonry-container").masonry('layout');
}
function marcaAlertaBorrado(ID){

	var data = {
			action: 'delete',
			user_id: ajax_object.user_id,
			post_id: ID,			
		};

		jQuery.post(ajax_object.ajax_url, data, function(response) {
			//alert(response);
			if(response.includes("recovered")){
			     mensaje= ajax_object.added_to_favourites;
				 bgcolor = ajax_object.success_color;
				 jQuery("#icon_delete_"+ID).css("color","green");
				 borrarAlerta(ID);
			}
			else if(response.includes("deleted")){
				 mensaje= ajax_object.removed_from_favourites;
				 bgcolor = ajax_object.success_color;
				 jQuery("#icon_delete_"+ID).css("color","grey");	
			
					 borrarAlerta(ID);
			}
			else{
				 mensaje= ajax_object.action_not_done;
				 bgcolor = ajax_object.error_color;
				}				
		});	
}
